export default function useColumns() {
  const SearchColumns = [
    {
      item: { key: "year", title: "年度" },
      attr: {
        is: "el-date-picker",
        type: "year",
        valueFormat: "yyyy-MM-dd",
        clearable: true,
      }
    },
    {
      item: { key: "name", title: "模板名称" },
      attr: {
        is: "el-input",
        clearable: true,
      }
    },
    {
      item: { key: "dateRange", title: "开始日期" },
      attr: {
        is: "el-date-picker",
        type: "daterange",
        rangeSeparator: "-",
        endPlaceholder: "结束",
        startPlaceholder: "开始",
        valueFormat: "yyyy-MM-dd",
      }
    },
  ];

  const TableColumns = [
    {
      item: { key: "year", title: "年度" },
      attr: {}
    },
    {
      item: { key: "name", title: "模板名称" },
      attr: {}
    },
    {
      item: { key: "startTime", title: "开始日期" },
      attr: {}
    },
    {
      item: { key: "deadlineTime", title: "结束日期" },
      attr: {}
    },
    {
      item: { key: "cycle", title: "周期" },
      attr: {}
    },
    {
      item: { key: "unfold", title: "按列展开" },
      attr: {}
    },
    {
      item: { key: "createByName", title: "创建人" },
      attr: {}
    },
    {
      item: { key: "createTime", title: "创建时间" },
      attr: {}
    },
    {
      item: { key: "updateByName", title: "修改人" },
      attr: {}
    },
    {
      item: { key: "updateTime", title: "修改时间" },
      attr: {}
    },
  ];

  return { SearchColumns, TableColumns }
}